## GODataVector

GODataVector

## Synopsis

                        GODataVector;

    int                 go_data_vector_get_len              (GODataVector *vec);
    double*             go_data_vector_get_values           (GODataVector *vec);
    double              go_data_vector_get_value            (GODataVector *vec,
                                                             unsigned  i);
    char*               go_data_vector_get_str              (GODataVector *vec,
                                                             unsigned  i);
    void                go_data_vector_get_minmax           (GODataVector *vec,
                                                             double *min,
                                                             double *max);
    gboolean            go_data_vector_increasing           (GODataVector *vec);
    gboolean            go_data_vector_decreasing           (GODataVector *vec);
    gboolean            go_data_vector_vary_uniformly       (GODataVector *vec);
    #define             GO_DATA_VECTOR_LEN_CACHED

## Object Hierarchy

      GObject
       +----GOData
             +----GODataVector
                   +----GODataVectorVal
                   +----GODataVectorStr

## Description

## Details

### GODataVector

    typedef struct _GODataVector GODataVector;

### go_data_vector_get_len ()

    int                 go_data_vector_get_len              (GODataVector *vec);

`vec` : |
Returns : |

### go_data_vector_get_values ()

    double*             go_data_vector_get_values           (GODataVector *vec);

`vec` : |
Returns : |

### go_data_vector_get_value ()

    double              go_data_vector_get_value            (GODataVector *vec,
                                                             unsigned  i);

`vec` : |
`i` : |
Returns : |

### go_data_vector_get_str ()

    char*               go_data_vector_get_str              (GODataVector *vec,
                                                             unsigned  i);

`vec` : |
`i` : |
Returns : |

### go_data_vector_get_minmax ()

    void                go_data_vector_get_minmax           (GODataVector *vec,
                                                             double *min,
                                                             double *max);

`vec` : |
`min` : |
`max` : |

### go_data_vector_increasing ()

    gboolean            go_data_vector_increasing           (GODataVector *vec);

`vec` : |
Returns : |

### go_data_vector_decreasing ()

    gboolean            go_data_vector_decreasing           (GODataVector *vec);

`vec` : |
Returns : |

### go_data_vector_vary_uniformly ()

    gboolean            go_data_vector_vary_uniformly       (GODataVector *vec);

`vec` : |
Returns : |

### GO_DATA_VECTOR_LEN_CACHED

    #define GO_DATA_VECTOR_LEN_CACHED GO_DATA_SIZE_CACHED